
QGIS Application - Bug report #12172

Use xvfb-run on "make check"

2015-02-10 04:20 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20364

Description

I don't think there's any reason for "make check" to map windows on the running desktop, so why not always running xvfb-run when

available ?

Associated revisions

Revision eddf23c3 - 2017-06-06 12:39 PM - Sandro Santilli

Make the `check` rule use xvfb-run, drop `check-no-x`

I see no reason for anyone wanting to see popping windows during

a `make check` run. Closes #12172.

History

#1 - 2015-02-10 04:23 AM - Sandro Santilli

I just found out there's a "check-no-x" Makefile rule. Why not making that the default for "check" ?

Or what's the reason to test against the real X ?

#2 - 2016-01-19 12:57 AM - Sandro Santilli

As of current master (2.14-pre) I hadn't seen windows popping up on "make check", but there's still a "check-no-x" rule. Was it obsoleted ?

#3 - 2016-06-16 08:56 AM - Sandro Santilli

I saw the windows again (maybe last time I just didn't have DISPLAY set). So I think I'll push a change having "make check" run the test w/out X... We need

to simplify testing IMHO.

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-06-06 12:39 PM - Sandro Santilli

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|eddf23c3813ea4e8c7f902726a7124442fa72e47.
